## prog.utili
Class Figura

    java.lang.Object
      prog.utili.Figura

Direct Known Subclasses:
  Cerchio, Rettangolo

    public abstract class Figura

extends java.lang.Object

Le sue istanze rappresentano generiche figure.

Version:
  2.0
Author:
  Giovanni Pighizzini, Mauro Ferrari

Constructor Summary
`Figura()`

Method Summary
`abstract double` `getArea()` Restituisce l'area della figura rappresentata dall'oggetto che esegue il metodo.
`abstract double` `getPerimetro()` Restituisce il perimetro della figura rappresentata dall'oggetto che esegue il metodo.
`boolean` `haAreaMaggiore(Figura altra)` Confronta l'area della figura fornita come argomento con quella della figura che esegue il metodo.
`boolean` `haPerimetroMaggiore(Figura altra)` Confronta il perimetro della figura fornita come argomento con quello della figura che esegue il metodo.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Figura

    public Figura()

Method Detail

### getArea

    public abstract double getArea()

  Restituisce l'area della figura rappresentata dall'oggetto che esegue il metodo.

  Returns:
    l'area della figura.

### getPerimetro

    public abstract double getPerimetro()

  Restituisce il perimetro della figura rappresentata dall'oggetto che esegue il metodo.

  Returns:
    il perimetro della figura.

### haAreaMaggiore

    public boolean haAreaMaggiore(Figura altra)

  Confronta l'area della figura fornita come argomento con quella della figura che esegue il metodo.

  Parameters:
    `altra` - la figura da confrontare con quella che esegue il metodo.
  Returns:
    `true` se l'area della figura rappresentata dall'oggetto che esegue il metodo è maggiore di quella della figura di cui viene fornito il riferimento tramite il parametro.

### haPerimetroMaggiore

    public boolean haPerimetroMaggiore(Figura altra)

  Confronta il perimetro della figura fornita come argomento con quello della figura che esegue il metodo.

  Parameters:
    `altra` - la figura da confrontare con quella che esegue il metodo.
  Returns:
    `true` se il perimetro della figura rappresentata dall'oggetto che esegue il metodo è maggiore di quello della figura di cui viene fornito il riferimento tramite il parametro.